// Bristleback plugin - Copyright (c) 2010 bristleback.googlecode.com
// ---------------------------------------------------------------------------
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU Lesser General Public License as published by the
// Free Software Foundation; either version 3 of the License, or (at your
// option) any later version.
// This library is distributed in the hope that it will be useful,
// but without any warranty; without even the implied warranty of merchantability
// or fitness for a particular purpose.
// You should have received a copy of the GNU Lesser General Public License along
// with this program; if not, see <http://www.gnu.org/licenses/lgpl.html>.
// ---------------------------------------------------------------------------
package pl.bristleback.server.bristle.messages;

import org.apache.log4j.Logger;

import java.util.Map;

/**
 * Class containing loaded message dispatcher and message senders. 
 * <p/>
 * Created on: 2010-09-24 22:57:26 <br/>
 *
 * @author Wojciech Niemiec
 */
public class MessageContainer {
  private static Logger log = Logger.getLogger(MessageContainer.class.getName());

  private MessageDispatcher messageDispatcher;

  private Map<String, MessageSender> senders;

  public void setMessageDispatcher(MessageDispatcher messageDispatcher) {
    this.messageDispatcher = messageDispatcher;
  }

  public void setSenders(Map<String, MessageSender> senders) {
    this.senders = senders;
  }

  public MessageDispatcher getMessageDispatcher() {
    return messageDispatcher;
  }

  public Map<String, MessageSender> getSenders() {
    return senders;
  }
}
